Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.tunnel
Class TunnelGateway.PendingImpl

    java.lang.Object
      net.i2p.router.tunnel.TunnelGateway.Pending
          net.i2p.router.tunnel.TunnelGateway.PendingImpl

Enclosing class:
  TunnelGateway

     class TunnelGateway.PendingImpl

extends TunnelGateway.Pending

Extend for debugging

Field Summary

Fields inherited from class net.i2p.router.tunnel.TunnelGateway.Pending
`_created, _expiration, _fragmentNumber, _messageId, _offset, _remaining, _toRouter, _toTunnel`

Constructor Summary
`TunnelGateway.PendingImpl(I2NPMessage message, Hash toRouter, TunnelId toTunnel)`

Method Summary
`long` | `getLifetime()`
`String` | `toString()`

Methods inherited from class net.i2p.router.tunnel.TunnelGateway.Pending
`addMessageId, getData, getExpiration, getFragmentNumber, getMessageId, getMessageIds, getOffset, getToRouter, getToTunnel, incrementFragmentNumber, setOffset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TunnelGateway.PendingImpl

    public TunnelGateway.PendingImpl(I2NPMessage message,
                                     Hash toRouter,
                                     TunnelId toTunnel)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getLifetime

    public long getLifetime()

  Overrides:
    `getLifetime` in class `TunnelGateway.Pending`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD